#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class, $var) = @_;
    return bless { var => $var }, $class;
}

sub PRINT  {
    my($self) = shift;
    ${'main::'.$self->{var}} .= join '', @_;
}

sub OPEN  {}    # XXX Hackery in case the user redirects
sub CLOSE {}    # XXX STDERR/STDOUT.  This is not the behavior we want.

sub READ {}
sub READLINE {}
sub GETC {}
sub BINMODE {}

my $Original_File = 'root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/localnetworks.pm';

package main;

# pre-5.8.0's warns aren't caught by a tied STDERR.
$SIG{__WARN__} = sub { $main::_STDERR_ .= join '', @_; };
tie *STDOUT, 'Catch', '_STDOUT_' or die $!;
tie *STDERR, 'Catch', '_STDERR_' or die $!;

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 56 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/localnetworks.pm

$ENV{ESMITH_ACCOUNT_DB} = "10e-smith-base/accounts.conf";
$ENV{ESMITH_CONFIG_DB} = "10e-smith-base/configuration.conf";
$ENV{ESMITH_NETWORKS_DB} = "10e-smith-base/networks.conf";

use_ok('esmith::FormMagick::Panel::localnetworks');
use vars qw($panel);
ok($panel = esmith::FormMagick::Panel::localnetworks->new(), 
    "Create panel object");
isa_ok($panel, 'esmith::FormMagick::Panel::localnetworks');


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 89 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/localnetworks.pm
my $fm = esmith::FormMagick::Panel::localnetworks->new();
$fm->{cgi} = CGI->new();
can_ok('main', 'print_network_table');
print_network_table($fm);
like($_STDOUT_, qr/NUMBER_OF_HOSTS/, "saw hosts table");

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 271 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/localnetworks.pm
is  (ip_number_or_blank($panel, ''), "OK",        "blank IP address is OK");
is  (ip_number_or_blank($panel, '1.2.3.4'), "OK", "IP dress is OK");
isnt(ip_number_or_blank($panel, '1.2.3.4000'), "OK", "invalid IP address");

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

