#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class, $var) = @_;
    return bless { var => $var }, $class;
}

sub PRINT  {
    my($self) = shift;
    ${'main::'.$self->{var}} .= join '', @_;
}

sub OPEN  {}    # XXX Hackery in case the user redirects
sub CLOSE {}    # XXX STDERR/STDOUT.  This is not the behavior we want.

sub READ {}
sub READLINE {}
sub GETC {}
sub BINMODE {}

my $Original_File = 'root/etc/e-smith/web/panels/manager/cgi-bin/reboot';

package main;

# pre-5.8.0's warns aren't caught by a tied STDERR.
$SIG{__WARN__} = sub { $main::_STDERR_ .= join '', @_; };
tie *STDOUT, 'Catch', '_STDOUT_' or die $!;
tie *STDERR, 'Catch', '_STDERR_' or die $!;

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 35 root/etc/e-smith/web/panels/manager/cgi-bin/reboot

use esmith::FormMagick::Tester;
use esmith::TestUtils;
use esmith::ConfigDB;
my $panel = 'reboot';
my $panel_path = "/etc/e-smith/web/functions/".$panel;
my $ua = esmith::FormMagick::Tester->new();



is  (mode($panel_path), '4750',              "Check permissions on script");
ok  ($ua->get_panel($panel),            "ABOUT TO RUN L10N TESTS");
is  ($ua->{status}, 200,                "200 OK");
like($ua->{content}, qr/FORM_TITLE/,    "Saw untranslated form title");
ok  ($ua->set_language("en-us"),        "Set language to U.S. English");
ok  ($ua->get_panel($panel),            "Get panel");

is  ($ua->{status}, 200,                "200 OK");

like($ua->{content}, qr/Shutdown or Reboot/, "Saw translated form title");

# Testing changes

ok  ($ua->get_panel($panel),            "Testing reboot");
can_ok($ua, "field");
ok  ($ua->{form}->find_input('function'),        "Finding form field");
#$ua->field("function" => 'reboot');
#$ua->field("debug" => '1');
#ok  ($ua->click("Save"),                "Click Save");
#is  ($ua->{status}, 200,                "200 OK");
#like($ua->{content}, qr/will begin the reboot/, "Saw validation messages");



#ok  ($ua->get_panel($panel),            "Testing shutdown");
#can_ok($ua, "field");
#ok  ($ua->{form}->find_input('function'),        "Finding form field");
#$ua->field("function" => 'reboot');
#$ua->field("debug" => '1');

#ok  ($ua->click("Save"),                "Click Save");
#is  ($ua->{status}, 200,                "200 OK");
#like($ua->{content}, qr/will begin the shutdown/, "Saw validation messages");


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

